package api

type UserPayload struct {
	Username   string `json:"username"`
	ID         string `json:"id"`
	Privileged bool   `json:"privileged"`
}

type UserCreatePayload struct {
	Username   string `json:"username"`
	Password   string `json:"password"`
	Privileged bool   `json:"privileged"`
}

type UserUpdatePayload struct {
	Username   string `json:"username"`
	Privileged bool   `json:"privileged,omitempty"`
}

type UserSecretPayload struct {
	Secret string `json:"secret"`
}

type TagUpdatePayload struct {
	Type string `json:"type"`
}

type ImageUpdatePayload struct {
	Source                string `json:"source"`
	Parent                string `json:"parent"`
	Commentary            string `json:"commentary"`
	CommentaryTranslation string `json:"commentary_translation"`
}
